{% extends 'app/base.html' %}


{% block content %}
<div class="container">
    <div class="row">
        <div class="col-md-6">

            <h1 class="detail-h1">{{ image.title }}</h1>
            <div>
                <p>Objavljeno: {{ image.pub_date }}</p>
                <img src="{{ image.url }}" class="image--full">
            </div>
        </div>

        <div class="col-md-6">
            <h1>komentari:</h1>
            {% for comment in comments %}
            <div class="comment">
               <p>

                 <strong>{{ comment.nick }}</strong> {{ comment.pub_date }}
               </p>
               <p>

                {{ comment.text }}
               </p>
               {% if user.is_superuser and not comment.approved %}
               <form action="{% url 'app:approve_comment' comment.id %}" method="post">
                 <input type="submit" value="Odobri">

               </form>
               {% endif %}
            </div>
            {% endfor %}
            <form action="{% url 'app:submit_comment' image.id %}" method="post">
                {% csrf_token %}
                <p>
                    <label for="comment_nick">Nick</label></br>
                    <input type="text " name="nick" id="comment_nick" value="">
                </p>

                <p>
                    <label for="comment_text">Komentar</label></br>
                    <input type="text " name="text" id="comment_text" value="">
                </p>

                <input type="submit" value="Objavi komentar">
            </form>
        </div>
    </div>
</div>

{% endblock %}
